package com.prolog.cs.biz.inbound.dto.rqc;

import com.prolog.cs.biz.inbound.model.SupervisionCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@ApiModel
public class RqcDTO implements Serializable {
	private static final long serialVersionUID = -5979117959176082478L;

	@ApiModelProperty(value = "质检单主表", required = true)
	private RqcHeadersDTO rqcHeadersDTO;

	@ApiModelProperty(value = "质检单明细列表")
	private List<RqcLinesDTO> rqcLinesDTOList;

	@ApiModelProperty(value = "质检采集监管码")
	private List<SupervisionCode> supervisionCodeList;


	@ApiModelProperty(value = "业务时间，可以为自动生成数据时间")
	private Date autoTime;

	@ApiModelProperty(value = "业务自动时间的间隔")
	private String autoTimeInterval;

//	@ApiModelProperty(value = "质检单图片列表")
//	private List<RqcLinePicDTO> RqcLinePicDTO;

	public RqcHeadersDTO getRqcHeadersDTO() {
		return rqcHeadersDTO;
	}

	public String getAutoTimeInterval() {
		return autoTimeInterval;
	}

	public void setAutoTimeInterval(String autoTimeInterval) {
		this.autoTimeInterval = autoTimeInterval;
	}

	public void setRqcHeadersDTO(RqcHeadersDTO rqcHeadersDTO) {
		this.rqcHeadersDTO = rqcHeadersDTO;
	}

	public List<RqcLinesDTO> getRqcLinesDTOList() {
		return rqcLinesDTOList;
	}

	public void setRqcLinesDTOList(List<RqcLinesDTO> rqcLinesDTOList) {
		this.rqcLinesDTOList = rqcLinesDTOList;
	}

//	public List<RqcLinePicDTO> getRqcLinePicDTO() {
//		return RqcLinePicDTO;
//	}
//
//	public void setRqcLinePicDTO(List<RqcLinePicDTO> rqcLinePicDTO) {
//		RqcLinePicDTO = rqcLinePicDTO;
//	}

	public Date getAutoTime() {
		return autoTime;
	}

	public void setAutoTime(Date autoTime) {
		this.autoTime = autoTime;
	}

	public List<SupervisionCode> getSupervisionCodeList() {
		return supervisionCodeList;
	}

	public void setSupervisionCodeList(List<SupervisionCode> supervisionCodeList) {
		this.supervisionCodeList = supervisionCodeList;
	}
}
